@setlocal
@echo Copy Release EXES to bin...
@if NOT EXIST bin @md bin
@if NOT EXIST bin @goto ERR1
@set TEMPF1=src\FDM\YASim\release\yasim.exe
@set TEMPF2=src\Input\release\fgjs.exe
@set TEMPF3=src\Input\release\js_demo.exe
@set TEMPF4=src\Main\release\fgfs.exe
@set TEMPF5=src\Main\release\metar.exe
@set TEMPF6=utils\fgpanel\release\fgpanel.exe
@set TEMPF7=utils\fgviewer\release\fgviewer.exe
@set TEMPF8=utils\GPSsmooth\release\GPSsmooth.exe
@set TEMPF9=utils\GPSsmooth\release\MIDGsmooth.exe
@set TEMPF10=utils\GPSsmooth\release\UGsmooth.exe
@set TEMPF11=utils\TerraSync\release\terrasync.exe

@set TEMPF=%TEMPF1%
@if EXIST %TEMPF% (
@copy %TEMPF% bin\.
) else (
@echo WARNING: %TEMPF% does NOT exist!
)
@set TEMPF=%TEMPF2%
@if EXIST %TEMPF% (
@copy %TEMPF% bin\.
) else (
@echo WARNING: %TEMPF% does NOT exist!
)
@set TEMPF=%TEMPF3%
@if EXIST %TEMPF% (
@copy %TEMPF% bin\.
) else (
@echo WARNING: %TEMPF% does NOT exist!
)
@set TEMPF=%TEMPF4%
@if EXIST %TEMPF% (
@copy %TEMPF% bin\.
) else (
@echo WARNING: %TEMPF% does NOT exist!
)
@set TEMPF=%TEMPF5%
@if EXIST %TEMPF% (
@copy %TEMPF% bin\.
) else (
@echo WARNING: %TEMPF% does NOT exist!
)
@set TEMPF=%TEMPF6%
@if EXIST %TEMPF% (
@copy %TEMPF% bin\.
) else (
@echo WARNING: %TEMPF% does NOT exist!
)
@set TEMPF=%TEMPF7%
@if EXIST %TEMPF% (
@copy %TEMPF% bin\.
) else (
@echo WARNING: %TEMPF% does NOT exist!
)
@set TEMPF=%TEMPF8%
@if EXIST %TEMPF% (
@copy %TEMPF% bin\.
) else (
@echo WARNING: %TEMPF% does NOT exist!
)
@set TEMPF=%TEMPF9%
@if EXIST %TEMPF% (
@copy %TEMPF% bin\.
) else (
@echo WARNING: %TEMPF% does NOT exist!
)
@set TEMPF=%TEMPF10%
@if EXIST %TEMPF% (
@copy %TEMPF% bin\.
) else (
@echo WARNING: %TEMPF% does NOT exist!
)
@set TEMPF=%TEMPF11%
@if EXIST %TEMPF% (
@copy %TEMPF% bin\.
) else (
@echo WARNING: %TEMPF% does NOT exist!
)

@goto END

:ERR1
@echo ERROR: Unable to create 'bin'!
@goto END

:END

